<?php

namespace Simpler\Admin\Http\Controllers;

class ButtonController extends Controller
{
    public static function register()
    {
        register_setting('simpler_button', 'simpler_auto_render_product_button', [
            'type'    => 'number',
            'default' => 1,
        ]);

        register_setting('simpler_button', 'simplerwc_product_button_placement', [
            'type'    => 'string',
            'default' => 'woocommerce_after_add_to_cart_quantity',
        ]);

        register_setting('simpler_button', 'simplerwc_show_cards_notice_product_page', [
            'type'    => 'number',
            'default' => 0,
        ]);

        register_setting('simpler_button', 'simpler_auto_render_cart_button', [
            'type'    => 'number',
            'default' => 1,
        ]);

        register_setting('simpler_button', 'simplerwc_cart_page_button_placement', [
            'type'    => 'string',
            'default' => 'woocommerce_proceed_to_checkout',
        ]);

        register_setting('simpler_button', 'simplerwc_checkout_page_button_placement', [
            'type'    => 'string',
            'default' => 'woocommerce_checkout_before_customer_details',
        ]);

        register_setting('simpler_button', 'simplerwc_show_cards_notice_checkout', [
            'type'    => 'number',
            'default' => 0,
        ]);

        register_setting('simpler_button', 'simplerwc_auto_render_minicart_button', [
            'type'    => 'number',
            'default' => 1,
        ]);

        register_setting('simpler_button', 'simplerwc_show_cards_notice_minicart', [
            'type'    => 'number',
            'default' => 0,
        ]);
    }

    public function button()
    {
        $this->render('settings._button', [
            'autoRenderProductButton'            => checked(1, get_option('simpler_auto_render_product_button'), false),
            //https://www.businessbloomer.com/woocommerce-visual-hook-guide-single-product-page/
            'productButtonPlacement'             => get_option('simplerwc_product_button_placement'),
            'showCardsUnderButtonInProductPage'  => checked(
                1,
                get_option('simplerwc_show_cards_notice_product_page'),
                false
            ),
            'autoRenderCartButton'               => checked(1, get_option('simpler_auto_render_cart_button'), false),
            'cartPageButtonPlacement'            => get_option('simplerwc_cart_page_button_placement'),
            'checkoutPageButtonPlacement'        => get_option('simplerwc_checkout_page_button_placement'),
            'showCardsUnderButtonInCheckoutPage' => checked(
                1,
                get_option('simplerwc_show_cards_notice_checkout'),
                false
            ),
            'autoRenderMinicartButton'           => checked(
                1,
                get_option('simplerwc_auto_render_minicart_button'),
                false
            ),
            'showCardsUnderButtonInMinicart'     => checked(
                1,
                get_option('simplerwc_show_cards_notice_minicart'),
                false
            ),

        ]);
    }
}
