<?php

namespace Simpler\Models;

use WC_Shipping_Rate;

class Quotation
{
    /**
     * @var int
     */
    private $discountCents = 0;
    /**
     * @var WC_Shipping_Rate
     */
    private $shippingRate;
    /**
     * @var int
     */
    private $totalCents = 0;

    /**
     * @param  int  $discountCents
     *
     * @return Quotation
     */
    public function set_discount_cents(int $discountCents): Quotation
    {
        $this->discountCents = $discountCents;

        return $this;
    }

    /**
     * @return int
     */
    public function get_discount_cents(): int
    {
        return $this->discountCents;
    }

    /**
     * @param  WC_Shipping_Rate  $shippingRate
     *
     * @return Quotation
     */
    public function set_shipping_rate(WC_Shipping_Rate $shippingRate): Quotation
    {
        $this->shippingRate = $shippingRate;

        return $this;
    }

    /**
     * @return WC_Shipping_Rate
     */
    public function get_shipping_rate()
    {
        return $this->shippingRate;
    }

    /**
     * @return int
     */
    public function get_total_cents(): int
    {
        return $this->totalCents;
    }

    /**
     * @param  int  $totalCents
     */
    public function set_total_cents(int $totalCents)
    {
        $this->totalCents = $totalCents;
    }
}
